Debian Bug report logs - #725031
ITP: python-wsgi-intercept -- installs a WSGI application in place of a real URI for testing

version graph

Package: wnpp; Maintainer for wnpp is wnpp@debian.org;

Reported by: Thomas Goirand <zigo@debian.org>

Date: Mon, 30 Sep 2013 18:06:02 UTC

Owned by: Thomas Goirand <zigo@debian.org>

Severity: wishlist

Fixed in version python-wsgi-intercept/0.5.1-1

Done: Thomas Goirand <zigo@debian.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, debian-devel@lists.debian.org, wnpp@debian.org:
Bug#725031; Package wnpp. (Mon, 30 Sep 2013 18:06:06 GMT) Full text and rfc822 format available.

Acknowledgement sent to Thomas Goirand <zigo@debian.org>:
New Bug report received and forwarded. Copy sent to debian-devel@lists.debian.org, wnpp@debian.org. (Mon, 30 Sep 2013 18:06:06 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Thomas Goirand <zigo@debian.org>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: ITP: python-wsgi-intercept -- installs a WSGI application in place of a real URI for testing
Date: Tue, 01 Oct 2013 02:03:29 +0800
Package: wnpp
Severity: wishlist
Owner: Thomas Goirand <zigo@debian.org>

* Package name    : python-wsgi-intercept
  Version         : 0.5.1
  Upstream Author : Kumar McMillan <kumar.mcmillan@gmail.com>
* URL             : https://pypi.python.org/pypi/wsgi_intercept
* License         : MIT
  Programming Lang: Python
  Description     : installs a WSGI application in place of a real URI for testing

 Testing a WSGI application normally involves starting a server at a local host
 and port, then pointing your test code to that address. Instead, this library
 lets you intercept calls to any specific host/port combination and redirect
 them into a WSGI application importable by your test program. Thus, you can
 avoid spawning multiple processes or threads to test your Web app.
 .
 wsgi_intercept works by replacing httplib.HTTPConnection with a subclass,
 wsgi_intercept.WSGI_HTTPConnection. This class then redirects specific
 server/port combinations into a WSGI application by emulating a socket. If no
 intercept is registered for the host and port requested, those requests are
 passed on to the standard handler.



Added tag(s) pending. Request was from Anibal Monsalve Salazar <anibal@debian.org> to control@bugs.debian.org. (Tue, 01 Oct 2013 08:09:05 GMT) Full text and rfc822 format available.

Reply sent to Thomas Goirand <zigo@debian.org>:
You have taken responsibility. (Fri, 01 Nov 2013 04:03:05 GMT) Full text and rfc822 format available.

Notification sent to Thomas Goirand <zigo@debian.org>:
Bug acknowledged by developer. (Fri, 01 Nov 2013 04:03:05 GMT) Full text and rfc822 format available.

Message #12 received at 725031-close@bugs.debian.org (full text, mbox):

From: Thomas Goirand <zigo@debian.org>
To: 725031-close@bugs.debian.org
Subject: Bug#725031: fixed in python-wsgi-intercept 0.5.1-1
Date: Fri, 01 Nov 2013 04:00:07 +0000
Source: python-wsgi-intercept
Source-Version: 0.5.1-1

We believe that the bug you reported is fixed in the latest version of
python-wsgi-intercept, which is due to be installed in the Debian FTP archive.

A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 725031@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Thomas Goirand <zigo@debian.org> (supplier of updated python-wsgi-intercept package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@ftp-master.debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.8
Date: Tue, 01 Oct 2013 01:05:06 +0800
Source: python-wsgi-intercept
Binary: python-wsgi-intercept
Architecture: source all
Version: 0.5.1-1
Distribution: unstable
Urgency: low
Maintainer: PKG OpenStack <openstack-devel@lists.alioth.debian.org>
Changed-By: Thomas Goirand <zigo@debian.org>
Description: 
 python-wsgi-intercept - installs a WSGI application in place of a real URI for testing
Closes: 725031
Changes: 
 python-wsgi-intercept (0.5.1-1) unstable; urgency=low
 .
   * Initial release. (Closes: #725031)
Checksums-Sha1: 
 61420a7c439ac69ffac5d6c0a9688dc645060e61 1542 python-wsgi-intercept_0.5.1-1.dsc
 9df7fbc8007e2cfbaffff2183d061ac218e3a207 40797 python-wsgi-intercept_0.5.1.orig.tar.gz
 d44df5edbf88feb8ebf68835de569c4a484919a8 2238 python-wsgi-intercept_0.5.1-1.debian.tar.gz
 0ccf6d0ba6fa07f6bf6e911a31e7101c68bdfcc6 36438 python-wsgi-intercept_0.5.1-1_all.deb
Checksums-Sha256: 
 dd3a5152402448810d0173ea9f4c7da2b8e5ec29867ebc26dc26df683607657f 1542 python-wsgi-intercept_0.5.1-1.dsc
 0603a5735152c6da7b31225fc659745838addc15231b39226d68039b6773ba2e 40797 python-wsgi-intercept_0.5.1.orig.tar.gz
 90aec940a9585c783a4bdd208a50d5dff3af926e0d8fa13fa900988ed7d53b8b 2238 python-wsgi-intercept_0.5.1-1.debian.tar.gz
 1bbdaaf1e9a1de89d096f415c7183797f148d7541d5bdf3aad453fd094257de6 36438 python-wsgi-intercept_0.5.1-1_all.deb
Files: 
 fb0986ecd417bc63f7e8b2a560119f7e 1542 python optional python-wsgi-intercept_0.5.1-1.dsc
 162ce46c503ff70992d5f1395b7b693b 40797 python optional python-wsgi-intercept_0.5.1.orig.tar.gz
 2bc9b020ac514027d75f9124e4280957 2238 python optional python-wsgi-intercept_0.5.1-1.debian.tar.gz
 6601365b547cfd560641ae0b6c85e81a 36438 python optional python-wsgi-intercept_0.5.1-1_all.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.14 (GNU/Linux)

iEYEARECAAYFAlJJv70ACgkQl4M9yZjvmkntEQCg2xlwlGy6xZuFNH14NLggK1fu
qDwAoIsIuG+ysUKN+cgjfKBGMwrC2hdz
=cpT9
-----END PGP SIGNATURE-----




Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Fri, 29 Nov 2013 07:32:23 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Wed Apr 23 14:53:26 2014; Machine Name: beach.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.